SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- o
- p
- r
- s
- t
- u
- v

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages

### - m -

- SUMaterialCreate() : SUMaterialRef
- SUMaterialFromEntity() : SUMaterialRef
- SUMaterialGetAOStrength() : SUMaterialRef
- SUMaterialGetAOTexture() : SUMaterialRef
- SUMaterialGetColor() : SUMaterialRef
- SUMaterialGetColorizeDeltas() : SUMaterialRef
- SUMaterialGetColorizeType() : SUMaterialRef
- SUMaterialGetMetallicFactor() : SUMaterialRef
- SUMaterialGetMetallicTexture() : SUMaterialRef
- SUMaterialGetName() : SUMaterialRef
- SUMaterialGetNameLegacyBehavior() : SUMaterialRef
- SUMaterialGetNormalScale() : SUMaterialRef
- SUMaterialGetNormalStyle() : SUMaterialRef
- SUMaterialGetNormalTexture() : SUMaterialRef
- SUMaterialGetOpacity() : SUMaterialRef
- SUMaterialGetOwnerType() : SUMaterialRef
- SUMaterialGetRoughnessFactor() : SUMaterialRef
- SUMaterialGetRoughnessTexture() : SUMaterialRef
- SUMaterialGetTexture() : SUMaterialRef
- SUMaterialGetType() : SUMaterialRef
- SUMaterialGetUseOpacity() : SUMaterialRef
- SUMaterialGetWorkflow() : SUMaterialRef
- SUMaterialIsAOEnabled() : SUMaterialRef
- SUMaterialIsDrawnTransparent() : SUMaterialRef
- SUMaterialIsMetalnessEnabled() : SUMaterialRef
- SUMaterialIsNormalEnabled() : SUMaterialRef
- SUMaterialIsRoughnessEnabled() : SUMaterialRef
- SUMaterialRelease() : SUMaterialRef
- SUMaterialSetAOEnabled() : SUMaterialRef
- SUMaterialSetAOStrength() : SUMaterialRef
- SUMaterialSetAOTexture() : SUMaterialRef
- SUMaterialSetColor() : SUMaterialRef
- SUMaterialSetColorizeType() : SUMaterialRef
- SUMaterialSetMetallicFactor() : SUMaterialRef
- SUMaterialSetMetallicTexture() : SUMaterialRef
- SUMaterialSetMetalnessEnabled() : SUMaterialRef
- SUMaterialSetName() : SUMaterialRef
- SUMaterialSetNormalEnabled() : SUMaterialRef
- SUMaterialSetNormalScale() : SUMaterialRef
- SUMaterialSetNormalStyle() : SUMaterialRef
- SUMaterialSetNormalTexture() : SUMaterialRef
- SUMaterialSetOpacity() : SUMaterialRef
- SUMaterialSetRoughnessEnabled() : SUMaterialRef
- SUMaterialSetRoughnessFactor() : SUMaterialRef
- SUMaterialSetRoughnessTexture() : SUMaterialRef
- SUMaterialSetTexture() : SUMaterialRef
- SUMaterialSetType() : SUMaterialRef
- SUMaterialSetUseOpacity() : SUMaterialRef
- SUMaterialToEntity() : SUMaterialRef
- SUMaterialWriteToFile() : SUMaterialRef
- SUMeshHelperCreate() : SUMeshHelperRef
- SUMeshHelperCreateWithTextureWriter() : SUMeshHelperRef
- SUMeshHelperCreateWithUVHelper() : SUMeshHelperRef
- SUMeshHelperGetBackSTQCoords() : SUMeshHelperRef
- SUMeshHelperGetFrontSTQCoords() : SUMeshHelperRef
- SUMeshHelperGetNormals() : SUMeshHelperRef
- SUMeshHelperGetNumTriangles() : SUMeshHelperRef
- SUMeshHelperGetNumVertices() : SUMeshHelperRef
- SUMeshHelperGetVertexIndices() : SUMeshHelperRef
- SUMeshHelperGetVertices() : SUMeshHelperRef
- SUMeshHelperRelease() : SUMeshHelperRef
- SUModelAddComponentDefinitions() : SUModelRef
- SUModelAddFont() : SUFontRef
- SUModelAddLayerFolder() : SUModelRef
- SUModelAddLayers() : SUModelRef
- SUModelAddMatchPhotoScene() : SUModelRef
- SUModelAddMaterials() : SUModelRef
- SUModelAddScene() : SUModelRef
- SUModelAddScenes() : SUModelRef
- SUModelCreate() : SUModelRef
- SUModelCreateFromBuffer() : SUModelRef
- SUModelCreateFromBufferWithStatus() : SUModelRef
- SUModelCreateFromFile() : SUModelRef
- SUModelCreateFromFileWithStatus() : SUModelRef
- SUModelCreateOverlay() : SUModelRef
- SUModelFixErrors() : SUModelRef
- SUModelGenerateUniqueMaterialName() : SUModelRef
- SUModelGetActiveEntities() : SUModelRef
- SUModelGetActiveLayer() : SUModelRef
- SUModelGetActivePath() : SUModelRef
- SUModelGetActiveScene() : SUModelRef
- SUModelGetActiveSectionPlanes() : SUModelRef
- SUModelGetAllMaterials() : SUModelRef
- SUModelGetAttributeDictionaries() : SUModelRef
- SUModelGetAttributeDictionary() : SUModelRef
- SUModelGetAxes() : SUModelRef
- SUModelGetBehavior() : SUModelRef
- SUModelGetCamera() : SUModelRef
- SUModelGetClassifications() : SUModelRef
- SUModelGetComponentDefinitions() : SUModelRef
- SUModelGetDefaultLayer() : SUModelRef
- SUModelGetDescription() : SUModelRef
- SUModelGetDimensionStyle() : SUModelRef
- SUModelGetEntities() : SUModelRef
- SUModelGetEntitiesByPersistentIDs() : SUModelRef
- SUModelGetEntitiesOfTypeByPersistentIDs() : SUModelRef
- SUModelGetEnvironments() : SUModelRef
- SUModelGetFonts() : SUModelRef
- SUModelGetGroupDefinitions() : SUModelRef
- SUModelGetGuid() : SUModelRef
- SUModelGetImageDefinitions() : SUModelRef
- SUModelGetInstancePathByPid() : SUModelRef
- SUModelGetLayerFolders() : SUModelRef
- SUModelGetLayers() : SUModelRef
- SUModelGetLayersByPersistentIDs() : SUModelRef
- SUModelGetLengthFormatter() : SUModelRef
- SUModelGetLineStyles() : SUModelRef
- SUModelGetLocation() : SUModelRef
- SUModelGetMaterials() : SUModelRef
- SUModelGetName() : SUModelRef
- SUModelGetNorthCorrection() : SUModelRef
- SUModelGetNumActiveSectionPlanes() : SUModelRef
- SUModelGetNumAllMaterials() : SUModelRef
- SUModelGetNumAttributeDictionaries() : SUModelRef
- SUModelGetNumComponentDefinitions() : SUModelRef
- SUModelGetNumFonts() : SUModelRef
- SUModelGetNumGroupDefinitions() : SUModelRef
- SUModelGetNumImageDefinitions() : SUModelRef
- SUModelGetNumLayerFolders() : SUModelRef
- SUModelGetNumLayers() : SUModelRef
- SUModelGetNumMaterials() : SUModelRef
- SUModelGetNumScenes() : SUModelRef
- SUModelGetNumTopLevelLayers() : SUModelRef
- SUModelGetOptionsManager() : SUModelRef
- SUModelGetPath() : SUModelRef
- SUModelGetRenderingOptions() : SUModelRef
- SUModelGetScenes() : SUModelRef
- SUModelGetSceneWithName() : SUModelRef
- SUModelGetSelection() : SUModelRef
- SUModelGetShadowInfo() : SUModelRef
- SUModelGetStatistics() : SUModelRef
- SUModelGetStyles() : SUModelRef
- SUModelGetTitle() : SUModelRef
- SUModelGetTopLevelLayers() : SUModelRef
- SUModelGetUnits() : SUModelRef
- SUModelGetVersion() : SUModelRef
- SUModelIsDrawingElementVisible() : SUModelRef
- SUModelIsGeoReferenced() : SUModelRef
- SUModelLoadDefinition() : SUModelRef
- SUModelLoadDefinitionWithStatus() : SUModelRef
- SUModelLoadMaterial() : SUModelRef
- SUModelMergeCoplanarFaces() : SUModelRef
- SUModelOrientFacesConsistently() : SUModelRef
- SUModelPurgeEmptyLayerFolders() : SUModelRef
- SUModelPurgeUnusedLayers() : SUModelRef
- SUModelRelease() : SUModelRef
- SUModelReleaseOverlay() : SUModelRef
- SUModelRemoveComponentDefinitions() : SUModelRef
- SUModelRemoveLayerFolders() : SUModelRef
- SUModelRemoveLayers() : SUModelRef
- SUModelRemoveMaterials() : SUModelRef
- SUModelRemoveScenes() : SUModelRef
- SUModelReorderScene() : SUModelRef
- SUModelSaveToFile() : SUModelRef
- SUModelSaveToFileWithVersion() : SUModelRef
- SUModelSetActiveLayer() : SUModelRef
- SUModelSetActiveScene() : SUModelRef
- SUModelSetBehavior() : SUModelRef
- SUModelSetCamera() : SUModelRef
- SUModelSetDescription() : SUModelRef
- SUModelSetGeoReference() : SUModelRef
- SUModelSetName() : SUModelRef